package com.kingdee.eas.custom.integration.base.bizEnum;

import com.kingdee.util.enums.StringEnum;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

/**
 * 重定向类型枚举
 */
public class RedirectTypeEnum extends StringEnum {
    public static final String TO_SHR_VALUE = "TO_SHR";//alias=跳转sHR
    public static final String TO_MBOS_VALUE = "TO_MBOS";//alias=跳转移动bos

    public static final RedirectTypeEnum TO_SHR = new RedirectTypeEnum("TO_SHR", TO_SHR_VALUE);
    public static final RedirectTypeEnum TO_MBOS = new RedirectTypeEnum("TO_MBOS", TO_MBOS_VALUE);

    /**
     * construct function
     *
     * @param String userMappingFieldEnum
     */
    private RedirectTypeEnum(String name, String redirectTypeEnum) {
        super(name, redirectTypeEnum);
    }

    /**
     * getEnum function
     *
     * @param String arguments
     */
    public static RedirectTypeEnum getEnum(String redirectTypeEnum) {
        return (RedirectTypeEnum) getEnum(RedirectTypeEnum.class, redirectTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap() {
        return getEnumMap(RedirectTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList() {
        return getEnumList(RedirectTypeEnum.class);
    }

    /**
     * getIterator function
     */
    public static Iterator iterator() {
        return iterator(RedirectTypeEnum.class);
    }
}